=== debian/changelog ===
u-boot (2016.03+dfsg1-6ubuntu2) zesty; urgency=medium

  * From upstream u-boot: (LP: #1636838)
    - debian/patches/rpi-import-mkknlimg.patch: import tools/mkknlimg from
      Xenial/raspi2 - scripts/mkknlimg @ 83a3ebb
    - debian/u-boot-rpi.postinst: pass u-boot.bin through mkknlimg before
      installing it as /boot/firmware/uboot.bin
    - debian/patches/serial-pl01x-Add-support-for-devices-with-the-rate-p.patch:
      Skip serial clock initialization when it's done by the firmware.

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 09 Nov 2016 17:09:29 +0200

u-boot (2016.03+dfsg1-6ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/rpi2-config-tweaks.patch: configuration adjustments
      to the RPi2 config.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jul 2016 17:30:44 -0700

u-boot (2016.03+dfsg1-6) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * u-boot-tegra: Only install p2371-2180 symlink on arm64.
    (Closes: #826905). Thanks to Martin Michlmayr for the report!
  * Add patch to fix reproducibility issues with ld and some
    locales. Thanks to HW42!

  [ Martin Michlmayr ]
  * Add NVIDIA to Tegra description
  * u-boot-tegra.README.Debian: fix name of package
  * u-boot-tegra.README.Debian: improve Jetson TK instructions.
    (Closes: #827081).

  [ Vagrant Cascadian ]
  * Apply patch from upstream to fix volatages used on several OlinuXino
    Lime board variants (Closes: #825214).  Thanks to Karsten Merker for
    tracking down the patch!

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 28 Jun 2016 09:38:27 +0200

u-boot (2016.03+dfsg1-5ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/rpi2-config-tweaks.patch: configuration adjustments
      to the RPi2 config.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Jun 2016 21:46:33 -0700

u-boot (2016.03+dfsg1-5) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Add patches from upstream to detect fdtfile on am57xx, and update
    distro_bootcmd patch accordingly.
  * u-boot-tools: Add fw_env.config for openrd (Closes: #821056). Thanks
    to Rick Thomas.
  * u-boot-omap: Add support for dra74_evm (Closes: #824730). Thanks to
    Ben Hutchings.
  * Added odroid-xu3 target, tested on Odroid-XU4.

  [ Gerald Kerma ]
  * Correct the guruplug.config to match the new upstream env address.
    (Closes: #781873).

  [ Vagrant Cascadian ]
  * u-boot-exynos: Add patch to support distro_bootcmd on odroid target.

  [ Martin Michlmayr ]
  * u-boot-tegra: Add Jetson TX1 (P2371-2180) target (Closes: #825458).
  * u-boot-tegra: Add arm64 arch.
  * u-boot-tegra: Update README.Debian for Jetson TX1.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 29 May 2016 14:29:59 -0700

u-boot (2016.03+dfsg1-4ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/rpi2-config-tweaks.patch: configuration adjustments
      to the RPi2 config.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 26 Apr 2016 21:06:04 -0700

u-boot (2016.03+dfsg1-4) unstable; urgency=medium

  * Add patch to fix detected ram size on Firefly boards by reverting
    "rockchip: rk3288: correct sdram setting".
  * debian/control: Updated Standards-Version to 3.9.8, no changes needed.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 16 Apr 2016 15:33:22 -0700

u-boot (2016.03+dfsg1-3) unstable; urgency=medium

  * u-boot-omap:
    - Remove ti-u-boot patches, which are no longer needed.
    - Update am57xx support for distro bootcmd.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 04 Apr 2016 11:23:06 -0700

u-boot (2016.03+dfsg1-2) unstable; urgency=medium

  * Apply patch from upstream to fix gmac ethernet on sunxi
    systems. (Closes: #818621). Thanks to Karsten Merker for the report.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 28 Mar 2016 19:52:45 -0700

u-boot (2016.03+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Remove Firefly-RK3288 patch applied upstream.
  * debian/control:
    - Update to use https for Vcs-Git and Vcs-Browser.
    - Update to Standards-Version 3.9.7, no changes needed.
  * Update lintian overrides to ignore a company named Synopsys listed in
    debian/copyright, which is flagged as a misspelling.
  * Add patches to fix mispellings for "comment", "supported" and
    "transferred".

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 15 Mar 2016 14:53:55 -0700

u-boot (2016.03~rc3+dfsg1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Add patch submitted upstream to fix Firefly-RK3288 SPL by disabling
    eMMC feature in SPL.
  * u-boot-sunxi: Drop FEL targets, as moderm versions of sunxi-tools
    support loading u-boot-sunxi-with-spl.bin directly.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 08 Mar 2016 13:28:50 -0800

u-boot (2016.03~rc2+dfsg1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Remove patches applied upstream.
  * Refresh patches:
    - Makefile-add-kwb-target-to-all.patch
    - 0001-Makefile-Include-vendor-common-library-in-include-se.patch
    - udoo_quad-support.patch

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 16 Feb 2016 15:01:48 -0800
